%define upstream_name    IMAP-Admin
%define upstream_version 1.6.8

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    IMAP-Admin Perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IMAP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
A perl module to manage IMAP servers

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/IMAP/*
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.6.8-5.mga9
+ Revision: 1804065
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.6.8-4.mga8
+ Revision: 1495105
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.6.8-3.mga7
+ Revision: 1268639
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.6.8-2.mga6
+ Revision: 1028505
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.6.8-1.mga6
+ Revision: 1001988
- update to 1.6.8

* Mon Feb 08 2016 umeabot <umeabot> 1.6.7-6.mga6
+ Revision: 945592
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.7-5.mga5
+ Revision: 749172
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.7-4.mga5
+ Revision: 685043
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.6.7-3.mga4
+ Revision: 512216
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.7-2.mga3
+ Revision: 368432
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.6.7-1.mga1
+ Revision: 26378
- mageia rebuild
- imported package perl-IMAP-Admin


* Mon Aug 24 2009 Jérôme Quelin <jquelin@mandriva.org> 1.6.7-1mdv2010.0
+ Revision: 420273
- update to 1.6.7

* Mon Sep 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.6.6-1mdv2009.0
+ Revision: 282566
- update to new version 1.6.6

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.4-3mdv2009.0
+ Revision: 241541
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.6.4-1mdv2008.0
+ Revision: 67616
- use %%mkrel


* Wed May 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.6.4-1mdk
- 1.6.4 ; spec cleaning ; add docs

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1

* Thu Sep 05 2002 Daniel Lacroix <dlacroix@erasme.org>
- generated by cpan2rpm version 0.1 for Mandrake 9.0

